failed to compile and install rKerberos in bundle process when installing smart-proxy
Description

environment

--------------------------------------------------------------

SLES 11 SP2

ruby-1.9.3-p547

smart-proxy 1.5 stable.

---------------------------------------------------------------

There is a Gemfile under the decompressed directory and i tried to run "bundle install --path vendor" and failed as below:

/usr/local/rvm/rubies/ruby-1.9.3-p547/bin/ruby extconf.rb

checking for krb5.h... yes

checking for main() in -lkrb5... yes

checking for kadm5/admin.h... no

extconf.rb failed ***

Could not create Makefile due to some reason, probably lack of

necessary libraries and/or headers.  Check the mkmf.log file for more

details.  You may need configuration options.

Provided configuration options:

--with-opt-dir

--without-opt-dir

--with-opt-include

--without-opt-include=${opt-dir}/include

--with-opt-lib

--without-opt-lib=${opt-dir}/lib

--with-make-prog

--without-make-prog

--srcdir=.

--curdir

--ruby=/usr/local/rvm/rubies/ruby-1.9.3-p547/bin/ruby

--with-rkerberos-dir

--without-rkerberos-dir

--with-rkerberos-include

--without-rkerberos-include=${rkerberos-dir}/include

--with-rkerberos-lib

--without-rkerberos-lib=${rkerberos-dir}/lib

--with-krb5lib

--without-krb5lib

--with-com_err-config

--without-com_err-config

--with-pkg-config

--without-pkg-config

extconf.rb:15:in `<main>': kadm5clnt library not found (RuntimeError)
extconf failed, exit code 1

Gem files will remain installed in /usr/local/src/smart-proxy-1.5-stable/vendor/ruby/1.9.1/gems/rkerberos-0.1.3 for inspection.

Results logged to

/usr/local/src/smart-proxy-1.5-stable/vendor/ruby/1.9.1/extensions/x86_64-linux/1.9.1/rkerberos-0.1.3/gem_make.out

An error occurred while installing rkerberos (0.1.3), and Bundler cannot continue.

Make sure that `gem install rkerberos -v '0.1.3'` succeeds before bundling.

------------------------------------------------------------------

I have already installed the below kerberos packages.

krb5-devel-1.6.3-133.48.48.1

krb5-client-1.6.3-133.48.48.1

krb5-apps-clients-1.6.3-133.48.48.1

krb5-apps-servers-1.6.3-133.48.48.1

krb5-32bit-1.6.3-133.48.48.1

krb5-1.6.3-133.48.48.1

pam_krb5-2.3.1-47.10.15

sles:/usr/local/src/smart-proxy-1.5-stable # locate kadm5clnt

/usr/lib64/libkadm5clnt.so.5

/usr/lib64/libkadm5clnt.so.5.1

/usr/lib/libkadm5clnt.so.5

/usr/lib/libkadm5clnt.so.5.1

It seem rkerberos includes kadmin/admin.h , but can't find it in the installed krb5-devel package.

History

#1 - 10/23/2014 03:43 AM - Dominic Cleal

- Status changed from New to Feedback

Your version of the krb5 libraries is too old for rkerberos.  It requires 1.7.0 or higher: https://github.com/domcleal/rkerberos#requirements

This is in a separate bundler group so you can disable the Kerberos functionality.  Use "bundle install --without krb5" to install all dependencies except

for the krb5 group.  If you want to use the proxy's management of realms or GSSAPI functions, you'll need to use a more up to date distro.

#2 - 05/17/2017 09:31 AM - Anonymous

- Status changed from Feedback to Rejected

the usual SLES problems :)

#3 - 05/28/2021 05:44 AM - Weldon Schaefer

Working on software language is not that easy as you have to remove bugs that is not an easy task. many students use cheap writing service if they

are working on some programming language as it eases them from working on the programming language.
